#include <stdint.h>
#include "HybridEncryptionBox.h"

unsigned int long HybridEncryptionBox::initialize_symmetric_key(uint8_t* given_public_key)
    {
	uint8_t symmetric_key[32]; 
	uint8_t private_key[32]; 
	get_private_key(private_key); 
	get_symmetric_key(symmetric_key); 
	return compute_ecdh_shared_key(given_public_key, given_public_key + ECDH_PUBLIC_KEY_SIZE/2, private_key, symmetric_key);
    }

